LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::awt::VisualEffect Constant Group Reference

These values are used to specify the visual effect of controls. More...

## Variables
const short | NONE = 0
| specifies that no visual effect is to be applied More...
const short | LOOK3D = 1
| specifies a 3D-like look More...
const short | FLAT = 2
| specifies a "flat" look More...

## Detailed Description

These values are used to specify the visual effect of controls.

The list may grow in future versions.

## Variable Documentation

## ◆ FLAT

const short FLAT = 2

specifies a "flat" look

## ◆ LOOK3D

const short LOOK3D = 1

specifies a 3D-like look

## ◆ NONE

const short NONE = 0

specifies that no visual effect is to be applied